﻿# Get-AzureVM | Get-AzureEndpoint | Where-Object -FilterScript { $_.name -eq 'Powershell' } | Select-Object -Property Name, Port

$ComputerName = 'CluSRV'

$VM = Get-AzureVM | Where-Object { $_.name -eq $ComputerName }

$CloudServiceName = $VM | Select-Object -ExpandProperty Servicename

# Den Remoteport auslesen
$RemotingPort = $VM |
    Get-AzureEndpoint |
    Where-Object -FilterScript {
        $_.name -eq 'Powershell'
    } |
Select-Object -ExpandProperty Port

# Den Hash des Zertifikats der VM auslesen
$WinRMCert = ( $VM | Select-Object -ExpandProperty vm ).DefaultWinRMCertificateThumbprint
# Das Zertifikat abrufen
$AzureX509cert = Get-AzureCertificate -ServiceName $CloudServiceName -Thumbprint $WinRMCert -ThumbprintAlgorithm sha1
# Das Zertifikat im Dateisystem speichern
$AzureX509cert.Data | Out-File -FilePath C:\Temp\$($ComputerName).cer

$DNSName = Split-Path -Path $VM.DNSName -Leaf
# Zertifikat installieren
Enter-PSSession -ComputerName $DNSName -Port $RemotingPort -UseSSL -Credential (Get-Credential)

## $uri = Get-AzureWinRMUri -ServiceName $CloudServiceName -Name $Computername

Get-AzureRemoteDesktopFile -Name ($vm.name) -LocalPath c:\temp\$($vm.name).rdp -ServiceName $CloudServiceName

# Die VM entfernen
Get-AzureVM | Where-Object { $_.name -like 'Clu*' } | Stop-AzureVM | Remove-AzureVM -DeleteVHD